summaryrefslogtreecommitdiffstats
path: root/development/flow/flow.SlackBuild
diff options
context:
space:
mode:
author DhabyX <slack.dhabyx@gmail.com>2017-04-05 09:28:42 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-08 06:57:47 +0700
commit31c104e521bd16ac691fb79b528859de324a523c (patch)
tree2c78923cd297861e2359f3b43b7b3b82c86694c3 /development/flow/flow.SlackBuild
parent7c05813182e86cd87ee16d31438462659bde11b8 (diff)
downloadslackbuilds-31c104e521bd16ac691fb79b528859de324a523c.tar.gz
slackbuilds-31c104e521bd16ac691fb79b528859de324a523c.tar.xz
development/flow: Updated for version 0.43.0 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/flow/flow.SlackBuild')
-rw-r--r--development/flow/flow.SlackBuild39
1 files changed, 10 insertions, 29 deletions
diff --git a/development/flow/flow.SlackBuild b/development/flow/flow.SlackBuild
index 9823339f39..e350546e04 100644
--- a/development/flow/flow.SlackBuild
+++ b/development/flow/flow.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for flow
# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
+# 2017 | Dhaby Xiloj | slack.dhabyx@gmail.com
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,16 +24,16 @@
# <https://www.gnu.org/licenses/>.
PRGNAM=flow
-VERSION=${VERSION:-0.37.4}
+VERSION=${VERSION:-0.43.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
+ARCH=${ARCH:-$(uname -m)}
+if [ "$ARCH" = x86_64 ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ echo "$(uname -m) architecture is not supported."
+ exit 1
fi
CWD=$(pwd)
@@ -40,19 +41,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
+DOCS="Changelog.md CONTRIBUTING.md LICENSE PATENTS README.md examples"
set -e
@@ -73,14 +62,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-## This patch allows `flow` to
-## be built on 32-bit systems.
-## Although, `flow` doesn't pass its
-## built-in tests on 32-bit.
-## I'm leaving it here in case anyone
-## decides to investigate that.
-#patch -p1 < $CWD/$PRGNAM-noarch.patch
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
make
@@ -96,7 +77,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changelog.md CONTRIBUTING.md LICENSE PATENTS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install